Bug 9585 - Fix spelling mistake in default tab conditional for opac-detail
Summary: Fix spelling mistake in default tab conditional for opac-detail
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: David Cook
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-11 05:26 UTC by David Cook
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9585 - Fix spelling mistake in default tab conditional for opac-detail (1.51 KB, patch)
2013-02-11 05:30 UTC, David Cook
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9585 - Fix spelling mistake in default tab conditional for opac-detail (1.60 KB, patch)
2013-02-11 20:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9585 - Fix spelling mistake in default tab conditional for opac-detail (1.61 KB, patch)
2013-02-12 14:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2013-02-11 05:26:04 UTC
There is just a small typo where one of the results of a conditional is "subscription" rather than "subscriptions".

If this comes up, the correct tab (subscriptions) will not be chosen. 

I'm not sure what will happen...it'll probably just have the "holdings", "subscriptions", and "serial collection" tabs all default to closed with none of them being open.
Comment 1 David Cook 2013-02-11 05:30:51 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-02-11 20:13:04 UTC
It looks to me like you'd have to have a UNIMARC setup to really fully test it ("Please note that the Serial Collection tab is currently available only for UNIMARC"). But testing the "subscriptions" and "holdings" settings of the opacSerialDefaultTab shows the correct behavior, the change does appear to be logical.
Comment 3 Owen Leonard 2013-02-11 20:14:27 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-02-12 14:59:30 UTC
QA comment:

In opac-detail.tt, the test is on the string "subscriptions".

Marked as Passed QA.
Comment 5 Jonathan Druart 2013-02-12 14:59:46 UTC
Created attachment 15274 [details] [review]
Bug 9585 - Fix spelling mistake in default tab conditional for opac-detail

There is just a small typo where one of the results of a conditional is
"subscription" rather than "subscriptions".

If this comes up, the correct tab (subscriptions) will not be chosen.

I'm not sure what will happen...it'll probably just have the
"holdings", "subscriptions", and "serial collection" tabs all default
to closed with none of them being open.

Test Plan:

The easiest way to test is just to double-check the other strings in the
conditional which say "subscriptions" rather than "subscription".

You can also look at opac-detail.tt where the param is shown, and note
that there is no condition for "subscription" - just "subscriptions".

Any tests other than that would be overly complex for such a trivial
patch.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jared Camins-Esakov 2013-02-15 13:13:56 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2013-02-26 08:22:17 UTC
Pushed to 3.8.x and 3.10.x will be in 3.8.11 and 3.10.4